#ifndef _ASM_DMA_H
#define _ASM_DMA_H

#define DMA_MODE_READ		0x44	/* I/O to memory, no autoinit, increment, single mode */
#define DMA_MODE_WRITE		0x48	/* memory to I/O, no autoinit, increment, single mode */
#define DMA_MODE_AUTOINIT	0x10

void snd_dma_program(int dma, const void *buf, unsigned int size, unsigned char mode);
unsigned int snd_dma_residue(int dma);
paddr_t virt_to_bus(void *addr);


#endif /* _ASM_DMA_H */
